path: /build/build/containerd-app-emulation-1.7.16.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="btrfs seccomp" emerge app-emulation/containerd -pv -t && \
    USE="btrfs seccomp" emerge -j ${JOBS} --nodeps app-emulation/containerd
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/containerd && luet-portage --dir /pkgdir/containerd
    app-emulation/containerd && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:4ca1f0c35239de75a4b86170034969d00af38b191869747f3b34022c23024cba
  package:
    name: containerd
    version: 1.7.16
    category: app-emulation
    use_flags:
    - btrfs
    - seccomp
    requires:
    - name: go-md2man
      version: '>=0'
      category: dev-go
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A daemon to control runC
    uri:
    - https://containerd.io/
    license: Apache-2.0
    buildtimestamp: 2024-05-23 21:36:33.093969481 +0000 UTC m=+336.869393640
    labels:
      BDEPEND: dev-go/go-md2man virtual/pkgconfig >=dev-lang/go-1.12 app-arch/unzip
        virtual/pkgconfig
      DEPEND: btrfs? ( sys-fs/btrfs-progs ) seccomp? ( sys-libs/libseccomp )
      IUSE: apparmor btrfs device-mapper +cri hardened +seccomp selinux test
      RDEPEND: btrfs? ( sys-fs/btrfs-progs ) seccomp? ( sys-libs/libseccomp ) app-emulation/runc
      emerge.packages: app-emulation/containerd
      kit: core-kit
      original.package.name: app-emulation/containerd
      original.package.slot: "0"
      original.package.version: 1.7.16
    treedir: /build/packages
  package_dir: /pkgdir/containerd
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 3c790e9b264d08c23790d940d81359ee51f353b7fde63573a4bcedca33323b6f
compressiontype: zstd
files:
- etc/init.d/containerd
- lib/systemd/system/containerd.service
- usr/bin/containerd
- usr/bin/containerd-shim
- usr/bin/containerd-shim-runc-v1
- usr/bin/containerd-shim-runc-v2
- usr/bin/containerd-stress
- usr/bin/ctr
- usr/bin/gen-manpages
- usr/share/doc/containerd-1.7.16/.editorconfig.bz2
- usr/share/doc/containerd-1.7.16/ADOPTERS.md.bz2
- usr/share/doc/containerd-1.7.16/NRI.md.bz2
- usr/share/doc/containerd-1.7.16/PLUGINS.md.bz2
- usr/share/doc/containerd-1.7.16/README.md.bz2
- usr/share/doc/containerd-1.7.16/RELEASES.md.bz2
- usr/share/doc/containerd-1.7.16/ROADMAP.md.bz2
- usr/share/doc/containerd-1.7.16/RUNC.md.bz2
- usr/share/doc/containerd-1.7.16/SCOPE.md.bz2
- usr/share/doc/containerd-1.7.16/client-opts.md.bz2
- usr/share/doc/containerd-1.7.16/containerd-nri-integration.png
- usr/share/doc/containerd-1.7.16/content-flow.md.bz2
- usr/share/doc/containerd-1.7.16/cri/architecture.md.bz2
- usr/share/doc/containerd-1.7.16/cri/architecture.png
- usr/share/doc/containerd-1.7.16/cri/config.md.bz2
- usr/share/doc/containerd-1.7.16/cri/cri.png
- usr/share/doc/containerd-1.7.16/cri/crictl.md.bz2
- usr/share/doc/containerd-1.7.16/cri/decryption.md.bz2
- usr/share/doc/containerd-1.7.16/cri/installation.md.bz2
- usr/share/doc/containerd-1.7.16/cri/registry.md.bz2
- usr/share/doc/containerd-1.7.16/cri/testing.md.bz2
- usr/share/doc/containerd-1.7.16/garbage-collection.md.bz2
- usr/share/doc/containerd-1.7.16/getting-started.md.bz2
- usr/share/doc/containerd-1.7.16/historical/cri/containerd.png
- usr/share/doc/containerd-1.7.16/historical/cri/performance.png
- usr/share/doc/containerd-1.7.16/historical/cri/proposal.md.bz2
- usr/share/doc/containerd-1.7.16/historical/design/architecture.md.bz2
- usr/share/doc/containerd-1.7.16/historical/design/architecture.png
- usr/share/doc/containerd-1.7.16/historical/design/data-flow.md.bz2
- usr/share/doc/containerd-1.7.16/historical/design/data-flow.png
- usr/share/doc/containerd-1.7.16/historical/design/lifecycle.md.bz2
- usr/share/doc/containerd-1.7.16/historical/design/mounts.md.bz2
- usr/share/doc/containerd-1.7.16/historical/design/snapshot_model.png
- usr/share/doc/containerd-1.7.16/historical/design/snapshots.md.bz2
- usr/share/doc/containerd-1.7.16/historical/reports/2017-01-13.md.bz2
- usr/share/doc/containerd-1.7.16/historical/reports/2017-01-20.md.bz2
- usr/share/doc/containerd-1.7.16/historical/reports/2017-01-27.md.bz2
- usr/share/doc/containerd-1.7.16/historical/reports/2017-02-10.md.bz2
- usr/share/doc/containerd-1.7.16/historical/reports/2017-02-24.md.bz2
- usr/share/doc/containerd-1.7.16/historical/reports/2017-03-10.md.bz2
- usr/share/doc/containerd-1.7.16/historical/reports/2017-03-17.md.bz2
- usr/share/doc/containerd-1.7.16/historical/reports/2017-03-24.md.bz2
- usr/share/doc/containerd-1.7.16/historical/reports/2017-04-28.md.bz2
- usr/share/doc/containerd-1.7.16/historical/reports/2017-05-05.md.bz2
- usr/share/doc/containerd-1.7.16/historical/reports/2017-05-19.md.bz2
- usr/share/doc/containerd-1.7.16/historical/reports/2017-05-26.md.bz2
- usr/share/doc/containerd-1.7.16/historical/reports/2017-06-09.md.bz2
- usr/share/doc/containerd-1.7.16/historical/reports/2017-06-23.md.bz2
- usr/share/doc/containerd-1.7.16/hosts.md.bz2
- usr/share/doc/containerd-1.7.16/managed-opt.md.bz2
- usr/share/doc/containerd-1.7.16/namespaces.md.bz2
- usr/share/doc/containerd-1.7.16/ops.md.bz2
- usr/share/doc/containerd-1.7.16/remote-snapshotter.md.bz2
- usr/share/doc/containerd-1.7.16/rootless.md.bz2
- usr/share/doc/containerd-1.7.16/snapshotters/README.md.bz2
- usr/share/doc/containerd-1.7.16/snapshotters/devmapper.md.bz2
- usr/share/doc/containerd-1.7.16/stream_processors.md.bz2
- usr/share/doc/containerd-1.7.16/tracing.md.bz2
- usr/share/doc/containerd-1.7.16/transfer.md.bz2
- usr/share/man/man5/containerd-config.toml.5.bz2
- usr/share/man/man8/containerd-config.8.bz2
- usr/share/man/man8/containerd.8.bz2
- usr/share/man/man8/ctr.8.bz2
- var/db/pkg/app-emulation/containerd-1.7.16/BDEPEND
- var/db/pkg/app-emulation/containerd-1.7.16/BUILD_TIME
- var/db/pkg/app-emulation/containerd-1.7.16/CATEGORY
- var/db/pkg/app-emulation/containerd-1.7.16/CBUILD
- var/db/pkg/app-emulation/containerd-1.7.16/CFLAGS
- var/db/pkg/app-emulation/containerd-1.7.16/CHOST
- var/db/pkg/app-emulation/containerd-1.7.16/CONTENTS
- var/db/pkg/app-emulation/containerd-1.7.16/COUNTER
- var/db/pkg/app-emulation/containerd-1.7.16/CXXFLAGS
- var/db/pkg/app-emulation/containerd-1.7.16/DEFINED_PHASES
- var/db/pkg/app-emulation/containerd-1.7.16/DEPEND
- var/db/pkg/app-emulation/containerd-1.7.16/DESCRIPTION
- var/db/pkg/app-emulation/containerd-1.7.16/EAPI
- var/db/pkg/app-emulation/containerd-1.7.16/FEATURES
- var/db/pkg/app-emulation/containerd-1.7.16/HOMEPAGE
- var/db/pkg/app-emulation/containerd-1.7.16/INHERITED
- var/db/pkg/app-emulation/containerd-1.7.16/IUSE
- var/db/pkg/app-emulation/containerd-1.7.16/IUSE_EFFECTIVE
- var/db/pkg/app-emulation/containerd-1.7.16/KEYWORDS
- var/db/pkg/app-emulation/containerd-1.7.16/LDFLAGS
- var/db/pkg/app-emulation/containerd-1.7.16/LICENSE
- var/db/pkg/app-emulation/containerd-1.7.16/NEEDED
- var/db/pkg/app-emulation/containerd-1.7.16/PF
- var/db/pkg/app-emulation/containerd-1.7.16/RDEPEND
- var/db/pkg/app-emulation/containerd-1.7.16/REQUIRES
- var/db/pkg/app-emulation/containerd-1.7.16/RESTRICT
- var/db/pkg/app-emulation/containerd-1.7.16/SIZE
- var/db/pkg/app-emulation/containerd-1.7.16/SLOT
- var/db/pkg/app-emulation/containerd-1.7.16/USE
- var/db/pkg/app-emulation/containerd-1.7.16/containerd-1.7.16.ebuild
- var/db/pkg/app-emulation/containerd-1.7.16/environment.bz2
- var/db/pkg/app-emulation/containerd-1.7.16/repository
- var/lib/containerd/.keep_app-emulation_containerd-0
package_cacheimage: ""
runtime:
  name: containerd
  version: 1.7.16
  category: app-emulation
  use_flags:
  - btrfs
  - seccomp
  requires:
  - name: runc
    version: '>=0'
    category: app-emulation
  - name: btrfs-progs
    version: '>=0'
    category: sys-fs
  - name: cni-plugins
    version: '>=0'
    category: net-misc
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A daemon to control runC
  uri:
  - https://containerd.io/
  license: Apache-2.0
  labels:
    BDEPEND: dev-go/go-md2man virtual/pkgconfig >=dev-lang/go-1.12 app-arch/unzip
      virtual/pkgconfig
    DEPEND: btrfs? ( sys-fs/btrfs-progs ) seccomp? ( sys-libs/libseccomp )
    IUSE: apparmor btrfs device-mapper +cri hardened +seccomp selinux test
    RDEPEND: btrfs? ( sys-fs/btrfs-progs ) seccomp? ( sys-libs/libseccomp ) app-emulation/runc
    emerge.packages: app-emulation/containerd
    kit: core-kit
    original.package.name: app-emulation/containerd
    original.package.slot: "0"
    original.package.version: 1.7.16
